<?php
	
include('is_logged.php');//Archivo verifica que el usario que intenta acceder a la URL esta logueado
$id_factura= $_SESSION['id_factura'];
$numero_factura= $_SESSION['numero_factura'];
$id_cliente=$_SESSION['cliente'];
if (isset($_POST['id'])){$id=intval($_POST['id']);}
if (isset($_POST['cantidad'])){$cantidad=intval($_POST['cantidad']);}
if (isset($_POST['precio_venta'])){$precio_factura=floatval($_POST['precio_venta']);}

	/* Connect To Database*/
	require_once ("../config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
	require_once ("../config/conexion.php");//Contiene funcion que conecta a la base de datos

$query=mysqli_query($con, "select * from tasa where id_tasa='1'");
while ($row=mysqli_fetch_array($query))
{
	$id_tasa=$row['id_tasa'];
	$tasa_actual=$row['tasa'];
	$ult_act=$row['fecha'];
}

$tasa_f=number_format($tasa_actual,2);
$tasa_r=str_replace(",","",$tasa_f);
		

	
if (!empty($id) and !empty($cantidad) and !empty($precio_factura))
{
$insert_tmp2=mysqli_query($con, "INSERT INTO detalle_factura (numero_factura, id_producto, cantidad, precio_venta) VALUES ('$numero_factura','$id','$cantidad','$precio_factura')");


}
if (isset($_GET['id']))//codigo elimina un elemento del array
{
$id_detalle=intval($_GET['id']);	
$delete=mysqli_query($con, "DELETE FROM detalle_factura WHERE id_detalle='".$id_detalle."'");
}

?>
<table class="table" style="font-size:12px;">
<tr>
	<th class='text-center'>CANT.</th>
	<th>DESCRIPCION</th>
	<th class='text-right'>PRECIO UNIT.</th>
	<th class='text-right'>PRECIO TOTAL</th>
</tr>
<?php
	$sumador_total=0;
	$sql=mysqli_query($con, "select * from producto_final, facturas, detalle_factura where facturas.numero_factura=detalle_factura.numero_factura and  facturas.id_factura='$id_factura' and producto_final.id=detalle_factura.id_producto");
	while ($row=mysqli_fetch_array($sql))
	{
	$id_detalle=$row["id_detalle"];
	$cantidad=$row['cantidad'];
	$nombre_producto=$row['nombre'];
	
	
	//$precio_factura=$row['precio_venta']/(1+(TAX/100));
	$precio_factura=$row['precio_venta'];
	$precio_factura_f=number_format($precio_factura,2);//Formateo variables
	$precio_factura_r=str_replace(",","",$precio_factura_f);//Reemplazo las comas
	$precio_total=$precio_factura_r*$cantidad;
	$precio_total_f=number_format($precio_total,2);//Precio total formateado
	$precio_total_r=str_replace(",","",$precio_total_f);//Reemplazo las comas
	
	$bolivaradolarpretot=$precio_total_r*$tasa_r;
	$bolivaradolarprefact=$precio_factura_r*$tasa_r;
	
	
	
	$sumador_total+=$precio_total_r;//Sumador
	
		?>
		<tr>
			<td class='text-center'><?php echo $cantidad;?></td>
			<td><?php echo $nombre_producto;?></td>
			<td class='text-right'>$.<?php echo $precio_factura_f;?> / BsD.<?php echo $bolivaradolarprefact;?></td>
			<td class='text-right'>$.<?php echo $precio_total_f;?> / BsD.<?php echo $bolivaradolarpretot;?></td>
			
		</tr>		
		<?php
	}
	$subtotal=number_format($sumador_total,2,'.','');
	$dolarabolivarsub=$subtotal*$tasa_r;
	
	
	//$total_iva=($subtotal * TAX )/100;
	//$total_iva=number_format($total_iva,2,'.','');
	//$dolarabolivariva=$total_iva*$tasa_r;
	
	//$total_factura=$subtotal+$total_iva;
	$total_factura=$subtotal;
	$dolarabolivartofac=$total_factura*$tasa_r;
	
?>
<tr>
	<td class='text-right' colspan=3>SUBTOTAL</td>
	<td class='text-right'>$.<?php echo number_format($subtotal,2);?> / BsD.<?php echo number_format($dolarabolivarsub,2);?></td>
	<td></td>
</tr>
<tr>
	<td class='text-right' colspan=3>IVA (<?php //echo TAX?>0)%</td>
	<td class='text-right'>$.0<?php //echo number_format($total_iva,1);?> / BsD.0<?php //echo number_format($dolarabolivariva,2);?></td>
	<td></td>
</tr>
<tr>
	<td class='text-right' colspan=3><strong>TOTAL </strong></td>
	<td class='text-right'><strong>$<?php echo number_format($total_factura,2);?> / BsD.<?php echo number_format($dolarabolivartofac,2);?></strong></td>
    <td></td>
</tr>

</table>